For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
      • POSTCreate a token
      • POSTRevoke a token
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
GeneralAccess tokens

Create a token

POST
/auth/token
POST
/v1/auth/token
$curl -X POST https://api.sandbox.monite.com/v1/auth/token \
> -H "x-monite-version: 2024-01-31" \
> -H "Content-Type: application/json" \
> -d '{
> "client_id": "client_id",
> "client_secret": "client_secret",
> "grant_type": "client_credentials"
>}'
1{
2 "access_token": "L8qq9PZyRg6ieKGEKhZolGC0vJWLw8iEJ88DRdyOg",
3 "expires_in": 86400,
4 "token_type": "Bearer"
5}
Create a new access token based on client ID and client secret.
Was this page helpful?
Previous

Revoke a token

Next
Built with

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
client_idstringRequiredformat: "uuid"
client_secretstringRequired
grant_typeenumRequired
Allowed values:
entity_user_idstringOptionalformat: "uuid"

Response

Successful Response
access_tokenstring
expires_ininteger
token_typestring

Errors

401
Post Auth Token Request Unauthorized Error
422
Post Auth Token Request Unprocessable Entity Error
500
Post Auth Token Request Internal Server Error